IPhysics: IPhysicsCar Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# IPhysicsCar Class Reference

`#include <IPhysicsCar.h>`

Inherits IPhysicsBaseEntity.

Inherited by CPhysicsCar.

List of all members.

## Public Member Functions

virtual void | setPosition (vector3df position)=0
| Set position.
virtual void | setRotation (vector3df rotation)=0
| Set rotation.
virtual void | setScale (vector3df scale)=0
| Set the scale.
virtual vector3df | getPosition ()=0
| Get position.
virtual vector3df | getRotation ()=0
| Get rotation.
virtual NewtonBody * | getBody ()=0
| Get a pointer to the Newton body. This will be the body of the vehicle hull, not of the wheels. You should only need this if you want to make direct calls to Newton.
virtual vector3df | getScale ()=0
| Get scale.
virtual void | setSteeringPercent (f32 steeringPercent)=0

Set the steering as a percentage of the maximum steering value that was specified when the car was created. Use a negative value for turning left, positive for turning right. If you set this to 0, the wheels will be straight. This will be clamped at -100 and 100.

virtual void | setThrottlePercent (f32 throttlePercent)=0

Set the throttle as a percentage of the maximum throttle value that was specified when the car was created. Use a positive value for going forwards, negative for reversing. If you set this to 0, the car will come to a halt. This will be clamped at -100 and 100.

virtual void | setBrakesPercent (f32 brakesPercent)=0
| Set the brakes as a percentage of the maximum brakes value that was specified when the car was created. This will be clamped at 0 and 100.

## Detailed Description

Car interface. This interface provides functionality for controlling the car.

## Member Function Documentation

virtual void IPhysicsCar::setPosition | ( | vector3df | position | ) | `[pure virtual]`

Set position.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsCar.

virtual void IPhysicsCar::setRotation | ( | vector3df | rotation | ) | `[pure virtual]`

Set rotation.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsCar.

virtual void IPhysicsCar::setScale | ( | vector3df | scale | ) | `[pure virtual]`

Set the scale.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsCar.

virtual vector3df IPhysicsCar::getPosition | ( |  | ) | `[pure virtual]`

Get position.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsCar.

virtual vector3df IPhysicsCar::getRotation | ( |  | ) | `[pure virtual]`

Get rotation.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsCar.

virtual NewtonBody* IPhysicsCar::getBody | ( |  | ) | `[pure virtual]`

Get a pointer to the Newton body. This will be the body of the vehicle hull, not of the wheels. You should only need this if you want to make direct calls to Newton.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsCar.

virtual vector3df IPhysicsCar::getScale | ( |  | ) | `[pure virtual]`

Get scale.

Implements IPhysicsBaseEntity.

Implemented in CPhysicsCar.

virtual void IPhysicsCar::setSteeringPercent | ( | f32 | steeringPercent | ) | `[pure virtual]`

Set the steering as a percentage of the maximum steering value that was specified when the car was created. Use a negative value for turning left, positive for turning right. If you set this to 0, the wheels will be straight. This will be clamped at -100 and 100.

Implemented in CPhysicsCar.

virtual void IPhysicsCar::setThrottlePercent | ( | f32 | throttlePercent | ) | `[pure virtual]`

Set the throttle as a percentage of the maximum throttle value that was specified when the car was created. Use a positive value for going forwards, negative for reversing. If you set this to 0, the car will come to a halt. This will be clamped at -100 and 100.

Implemented in CPhysicsCar.

virtual void IPhysicsCar::setBrakesPercent | ( | f32 | brakesPercent | ) | `[pure virtual]`

Set the brakes as a percentage of the maximum brakes value that was specified when the car was created. This will be clamped at 0 and 100.

Implemented in CPhysicsCar.

The documentation for this class was generated from the following file:

- C:/Documents and Settings/user/Desktop/IPhysics 1.5 Irr 1.2/source/IPhysicsCar.h